#include<iostream>
using namespace std;

int main()
{
	int n, a[100000];
	scanf("%d",&n);
	for(int i = 0; i < n; i++)
	{
		scanf("%d",&a[i]);
	}
	int temp = a[0];
	a[0] = a[1];
	a[1] = temp;
	for(int i = 0; i < n; i++)
	{
		printf("%d ",a[i]);
	}
	return 0;
}